Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters.cpp	(revision 88)
@@ -28,14 +28,14 @@
   };
   
-  Parameters::Parameters (Parameters & param):
-    _nb_entity        (param._nb_entity       ),
-    _encoding_one_hot (param._encoding_one_hot),
-    _encoding_compact (param._encoding_compact),
-    _size_entity      (param._size_entity     )
-  {
-    log_printf(FUNC,Select_Priority_Fixed,"Parameters","Begin");
-    test();
-    log_printf(FUNC,Select_Priority_Fixed,"Parameters","End");
-  };
+//   Parameters::Parameters (Parameters & param):
+//     _nb_entity        (param._nb_entity       ),
+//     _encoding_one_hot (param._encoding_one_hot),
+//     _encoding_compact (param._encoding_compact),
+//     _size_entity      (param._size_entity     )
+//   {
+//     log_printf(FUNC,Select_Priority_Fixed,"Parameters","Begin");
+//     test();
+//     log_printf(FUNC,Select_Priority_Fixed,"Parameters","End");
+//   };
 
   Parameters::~Parameters () 
@@ -43,4 +43,10 @@
     log_printf(FUNC,Select_Priority_Fixed,"~Parameters","Begin");
     log_printf(FUNC,Select_Priority_Fixed,"~Parameters","End");
+  };
+
+  void Parameters::copy (void) 
+  {
+    log_printf(FUNC,Select_Priority_Fixed,"copy","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"copy","End");
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 88)
@@ -2,5 +2,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  */
@@ -33,9 +33,15 @@
     log_printf(FUNC,Select_Priority_Fixed,"Select_Priority_Fixed","Begin");
 
+#if DEBUG_Select_Priority_Fixed == true
+    log_printf(INFO,Select_Priority_Fixed,FUNCTION,_("<%s> Parameters"),_name.c_str());
+
+    std::cout << *param << std::endl;
+#endif    
+
     log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation");
     allocation ();
 
 #ifdef STATISTICS
-    if (_usage & USE_STATISTICS)
+    if (usage_is_set(_usage,USE_STATISTICS))
       {
 	log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation of statistics");
@@ -46,13 +52,16 @@
 
 #ifdef VHDL
-    // generate the vhdl
-    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Generate the vhdl");
-
-    vhdl();
+    if (usage_is_set(_usage,USE_VHDL)
+      {
+        // generate the vhdl
+        log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Generate the vhdl");
+        
+        vhdl();
+      }
 #endif
 
 #ifdef SYSTEMC
-    if (_usage & USE_SYSTEMC)
-      {
+      if (usage_is_set(_usage,USE_SYSTEMC))
+        {
 #  if defined(STATISTICS) or defined(VHDL_TESTBENCH)
 	log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Method - transition");
@@ -96,5 +105,5 @@
 
 #ifdef STATISTICS
-    if (_usage & USE_STATISTICS)
+    if (usage_is_set(_usage,USE_STATISTICS))
       {
 	log_printf(INFO,Select_Priority_Fixed,"~Select_Priority_Fixed","Generate Statistics file");
@@ -104,9 +113,6 @@
 #endif
 
-#ifdef SYSTEMC
     log_printf(INFO,Select_Priority_Fixed,"~Select_Priority_Fixed","Deallocation");
-
     deallocation ();
-#endif
 
     log_printf(FUNC,Select_Priority_Fixed,"~Select_Priority_Fixed","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp	(revision 88)
@@ -1,3 +1,2 @@
-#ifdef SYSTEMC
 /*
  * $Id$
@@ -30,5 +29,5 @@
     _interfaces = entity->set_interfaces();
 
-    // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
     Interface_fifo * interface = _interfaces->set_interface(""
@@ -63,5 +62,6 @@
 
 #ifdef POSITION
-    _component->generate_file();
+    if (usage_is_set(_usage,USE_POSITION))
+      _component->generate_file();
 #endif
 
@@ -74,3 +74,2 @@
 }; // end namespace behavioural
 }; // end namespace morpheo              
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp	(revision 88)
@@ -1,3 +1,2 @@
-#ifdef SYSTEMC
 /*
  * $Id$
@@ -20,5 +19,5 @@
     log_printf(FUNC,Select_Priority_Fixed,"deallocation","Begin");
 
-    if (_usage & USE_SYSTEMC)
+    if (usage_is_set(_usage,USE_SYSTEMC))
       {
 	delete     in_CLOCK;
@@ -48,3 +47,2 @@
 }; // end namespace behavioural
 }; // end namespace morpheo              
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_end_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_end_cycle.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_end_cycle.cpp	(revision 88)
@@ -22,5 +22,6 @@
 
 #ifdef STATISTICS
-    _stat->end_cycle();
+    if (usage_is_set(_usage,USE_STATISTICS))
+      _stat->end_cycle();
 #endif    
 
@@ -28,5 +29,6 @@
     // Evaluation before read the ouput signal
 //  sc_start(0);
-    _interfaces->testbench();
+    if (usage_is_set(_usage,USE_VHDL_TESTBENCH))
+      _interfaces->testbench();
 #endif
 
